Accueil du site > Diaporamas > Le plugin SPIP TopUp

Le plugin SPIP TopUp

mercredi 1er septembre 2010, par Franck Ruzzin

Topup est un visualiseur d’image gratuit pour les sites web. Il est écrit en javascript, et utilise jQuery, version 1.4.2 minimum.

Le site officiel : http://gettopup.com/

Caractéristiques :
- TopUp est totalement libre, y compris pour un usage commercial
- Conserve un code HTML pur
- Le poids du fichier TopUp est réduit à 47.6 KB avec le compresseur Yahoo ! YUI Compressor (comprend les JS, HTML et CSS)
- Utilisation de sprites CSS pour réduire le temps de chargement
- Compatible avec les principaux navigateurs
- Propose des mises en page fantaisies, des animations et transitions entre images
- Auto-correction de la dimension et de la position si nécessaire
- Et bien plus encore...

 

Le plugin TopUp ajoute un diaporama TopUp dans un article.

Les images qui constituent le diaporama sont jointes à l’article :
- en tant que documents (pour SPIP 1.9)
- déposées dans le portfolio (SPIP 2)

Il y a 4 moyens d’utiliser le plugin :

Les 2 balises :
- #TOPUPGALLERY insertion avec portfolio
- #TOPUP insertion sans portfolio

Les 2 modèles :
- <mod_topupgalleryxxx> insertion avec portfolio (xxx est l’id de l’article contenant les images à intégrer dans le diaporama)
- <mod_topupxxx> insertion sans portfolio (xxx est l’id de l’article contenant les images à intégrer dans le diaporama)

Le plugin TopUp nécessite l’utilisation du plugin CFG, par lequel on peut configurer certains des paramètres de l’affichage :
- Hauteur des vignettes du portfolio
- Largeur des vignettes du portfolio
- Taille de l’image initiale (mode sans portfolio)
- Choix de la mise en page
- Largeur de la fenêtre TopUp
- Hauteur de la fenêtre TopUp
- Position X de la fenêtre TopUp
- Position Y de la fenêtre TopUp
- Choix de l’effet de transition
- Rendre la fenêtre TopUp modale
- Assombrir le fond de l’écran (effet lightbox)
- Fermer TopUp lors d’un clic sur le fond d’écran
- Permettre le redimensionnement de la fenêtre TopUp

 

IMPORTANT

Le fonctionnement du plugin nécessite jQuery 1.4.2 minimum.
Pour une utilisation avec les versions de SPIP antérieures à 2,
- il faut éditer les fichiers

  • topup.html
  • topupgallery.html
  • mod_topup.html
  • mod_topupgallery.html

et retirer dans toutes les boucles le critère {vu=non}

- utiliser le plugin jQuery 1.4.2 pour SPIP 1.92x pour remplacer la version par défaut (v1.1.x) par la version 1.4.2.

Documents joints

Répondre à cet article